Bug 1643790 - SELinux is preventing lighttpd from 'map' accesses on the file /etc/lighttpd/conf.d/dirlisting.conf.
Summary: SELinux is preventing lighttpd from 'map' accesses on the file /etc/lighttpd/...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6bf798263c3072d17374eb9a9c3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-28 18:10 UTC by Steve
Modified: 2018-11-30 23:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:41:30 UTC
Type: ---


Attachments (Terms of Use)

Description Steve 2018-10-28 18:10:56 UTC
Description of problem:
# dnf install lighttpd
# systemctl start lighttpd
SELinux is preventing lighttpd from 'map' accesses on the file /etc/lighttpd/conf.d/dirlisting.conf.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that lighttpd should be allowed map access on the dirlisting.conf file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'lighttpd' --raw | audit2allow -M my-lighttpd
# semodule -X 300 -i my-lighttpd.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:object_r:httpd_config_t:s0
Target Objects                /etc/lighttpd/conf.d/dirlisting.conf [ file ]
Source                        lighttpd
Source Path                   lighttpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           lighttpd-1.4.51-1.fc27.x86_64
Policy RPM                    selinux-policy-3.13.1-284.37.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.18.16-100.fc27.x86_64 #1 SMP Sun
                              Oct 21 09:33:00 UTC 2018 x86_64 x86_64
Alert Count                   6
First Seen                    2018-10-28 10:53:12 PDT
Last Seen                     2018-10-28 10:53:12 PDT
Local ID                      1c123b69-71d9-4427-8a5b-bf5d5d756b1a

Raw Audit Messages
type=AVC msg=audit(1540749192.383:503): avc:  denied  { map } for  pid=19540 comm="lighttpd" path="/etc/lighttpd/conf.d/dirlisting.conf" dev="dm-0" ino=143596 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:httpd_config_t:s0 tclass=file permissive=0


Hash: lighttpd,httpd_t,httpd_config_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-284.37.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.18.16-100.fc27.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2018-11-03 12:13:37 UTC
commit be428c464dd00a6784cfbd10e2c07b37ae482725 (HEAD -> f27)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Mon Aug 20 20:31:36 2018 +0200

    Allow httpd_t domain to mmap httpd_config_t files

Comment 2 Fedora Update System 2018-11-06 13:49:27 UTC
selinux-policy-3.13.1-284.38.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6c6faa135b

Comment 3 Fedora Update System 2018-11-07 03:48:07 UTC
selinux-policy-3.13.1-284.38.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6c6faa135b

Comment 4 Ben Cotton 2018-11-27 13:37:53 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 23:41:30 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.